Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# stockid.hh File Reference

A GTK+ stock ID C++ wrapper interface. More...

`#include <xfc/utfstring.hh>`
`#include <gtk/gtkstock.h>`
`#include <xfc/gtk/inline/stockid.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::StockId
    A C++ wrapper class for GTK+ stock IDs. More...

## Detailed Description

A GTK+ stock ID C++ wrapper interface.

Provides StockId, a simple object that wraps the GTK+ stock ID strings and provides ready-to-use static StockIds for pre-registered GTK+ stock items, such as Gtk::StockId::OPEN and Gtk::StockId::EXIT.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3